# wingstructure - an open source python tool assisting with certification of sailplane wings

![lift distribution](examples/Liftdistribution.png)

[![Documentation Status](https://readthedocs.org/projects/wingstructure/badge/?version=latest)](https://wingstructure.readthedocs.io/en/latest/?badge=latest) [![Build Status](https://travis-ci.com/akafliegdarmstadt/wingstructure.svg?branch=master)](https://travis-ci.com/akafliegdarmstadt/wingstructure)

[![Coverage Status](https://coveralls.io/repos/github/akafliegdarmstadt/wingstructure/badge.svg?branch=master)](https://coveralls.io/github/akafliegdarmstadt/wingstructure?branch=master)

## Installation
pip can be used to install the package:
```sh
pip install https://github.com/akafliegdarmstadt/wingstructure/archive/master.zip
```

## Usage

wingstructure has three primary functions

 * object oriented representation of wing geometry

![geometry](examples/wing.png)

 * lift and moment calculation based on multhopp quadrature
 * mass estimation for wing sections

 ![section](examples/section.svg)


 Those are briefly presented in the [Getting Started Guide](https://wingstructure.readthedocs.io/en/latest/usage/quickstart.html).

